// Partie 1 du TP
clear;
clf;
exec f.sci;
exec Fourier.sci;

// Parametres
K=32; // nombre de modes de Fourier
m=200 // pas de la discrétisation spatiale
t=-1:2/m:1; // deux périodes 

// Visualisation des modes de Fourier
N=-K/2:K/2;
figure(0);
plot(N/K,abs(Fourier(f,N,K)))
xlabel('Frequences');
ylabel('Modes de Fourier')
title('Spectre de la fonction f')
u=(0:K-1)/K;
plot(u,abs(fft(f(u))/K),'r')
plot(u-1/2,abs(fftshift(fft(f(u))/K)),'g')
legend('fonction Fourier','fft','fftshift')


// Calcul de la somme partielle de Fourier
y=f(t);
s=zeros(m+1)
for n=-K/2:1:K/2;
    c=Fourier(f,n,K);
    s=s+c*exp(2*%pi*%i*n*t);
end


// Graphique
figure(1);
plot(t,y,t,s);
title('La fonction et son approximation par série de Fourier', 'fontsize',3)
xlabel('t')
ylabel('y')
legend('Fonction f','Approximation par Fourier')

